Name:           libisds
Version:        0.10.3
Release:        1%{?dist}
Summary:        Library for accessing the Czech Data Boxes
Group:          System Environment/Libraries
License:        LGPLv3
URL:            http://xpisar.wz.cz/%{name}/
Source0:        %{url}dist/%{name}-%{version}.tar.xz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  libxml2-devel
BuildRequires:  libcurl-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  make
BuildRequires:  gpgme-devel
BuildRequires:  expat-devel >= 2.0.0
# Run-time:
BuildRequires:  gnupg2-smime
# Tests:
BuildRequires:  gnutls-devel >= 2.12.0
Requires:       gnupg2-smime

%description
This is a library for accessing ISDS (Informační systém datových schránek /
Data Box Information System) SOAP services as defined in Czech ISDS Act
(300/2008 Coll.) and implied documents.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gcc
Requires:       libxml2-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure \
    --disable-openssl-backend \
    --disable-static \
    --enable-test \
    --with-libcurl \
    --enable-curlreauthorizationbug
make %{?_smp_mflags}

%check
make check %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}
mv doc specification
rm -rf client/.deps

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING
%doc README AUTHORS NEWS TODO
%{_libdir}/*.so.*

%files devel
%{_includedir}/isds.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%doc client specification

%changelog
* Mon Mar 21 2016 Petr Pisar <ppisar@redhat.com> - 0.10.3-1
- 0.10.3 bump

* Tue Feb 09 2016 Petr Pisar <ppisar@redhat.com> - 0.10.2-3
- Fix a GCC 6 warning (bug #1305760)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Petr Pisar <ppisar@redhat.com> - 0.10.2-1
- 0.10.2 bump

* Mon Sep 07 2015 Petr Pisar <ppisar@redhat.com> - 0.10.1-1
- 0.10.1 bump

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 Petr Pisar <ppisar@redhat.com> - 0.10-1
- 0.10 bump

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Aug 12 2014 Petr Pisar <ppisar@redhat.com> - 0.9-1
- 0.9 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2014 Petr Pisar <ppisar@redhat.com> - 0.8-2
- Use _DEFAULT_SOURCE where _BSD_SOURCE macro presents to satisfy glibc-2.19.90

* Mon Oct 21 2013 Petr Pisar <ppisar@redhat.com> - 0.8-1
- 0.8 bump

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 27 2013 Petr Pisar <ppisar@redhat.com> - 0.7-3
- Update config.sub to support aarch64 (bug #925782)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 03 2013 Petr Pisar <ppisar@redhat.com> - 0.7-1
- 0.7 bump

* Wed Oct 31 2012 Petr Pisar <ppisar@redhat.com> - 0.6.2-1
- 0.6.2 bump

* Tue Oct 30 2012 Petr Pisar <ppisar@redhat.com> - 0.6.1-1
- 0.6.1 bump

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 03 2011 Petr Pisar <ppisar@redhat.com> - 0.5-1
- 0.5 bump (breaks ABI, API preserved)
- Remove aplied patch and GPG hack

* Fri Feb 11 2011 Petr Pisar <ppisar@redhat.com> - 0.4-2
- Rebuild with GCC 4.6
- Remove BuildRoot stuff
- Make devel subpackage dependencies ISA specific

* Mon Dec 20 2010 Petr Pisar <ppisar@redhat.com> - 0.4-1
- 0.4 bump, it breaks ABI
- Use smaller xz archive instead of bzip2
- Do tests in parallel

* Fri Nov 05 2010 Petr Pisar <ppisar@redhat.com> - 0.3.1-2
- Rebuild against new libxml2

* Tue Jun 29 2010 Petr Pisar <ppisar@redhat.com> - 0.3.1-1
- 0.3.1 version bump
- Create ~/.gnupg to workaround bug in gnupg2-smime

* Tue Apr 13 2010 Petr Pisar <ppisar@redhat.com> - 0.2.1-1
- New version 0.2.1 released by upstream

* Thu Feb 11 2010 Matěj Cepl <mcepl@redhat.com> - 0.1-2
- Fixing small issue with documentation for package review

* Tue Feb 09 2010 Matěj Cepl <mcepl@redhat.com> - 0.1-1
- Initial packaging effort
